Skip to main content
POST
/
miles
/
account
/
create
Create a new Rove Miles account
curl --request POST \
  --url https://api.staging.rovemiles.com/functions/v1/miles/account/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "phone_number": "+12025550123",
  "external_id": "user_12345"
}
'
{
  "success": true,
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

API key for authentication. Add your API key to the Authorization header with this format: 'Bearer your_api_key_here'

Body

application/json
phone_number
string
required

Phone number of the user

Pattern: ^(\+1|1)[0-9]+$
external_id
string
required

External identifier for the user

Response

Successfully created account

success
boolean
Example:

true

account_id
string<uuid>

The UUID of the created account